Update SQL draft version

Modifying the SQL content saved in the draft version will not execute the SQL. The finalized version cannot be modified.

HTTP
POST $CLOUDSIGMA_API_BASE/workbook/version/update

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

First list saved SQL versions and confirm the version status.

$WORKBOOK_ID in the example below is the ID of the SQL saved record and $VERSION_ID is the version ID with status draft.

Request

Replace caller-specific values in the example with actual values.

Shell
curl -X POST "$CLOUDSIGMA_API_BASE/workbook/version/update" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d "{
    \"workbook_id\": \"$WORKBOOK_ID\",
    \"version_id\": \"$VERSION_ID\",
    \"sql_content\": \"SELECT 1\"
  }"

Request body

ParameterTypeRequiredDescription
workbook_idstringRequiredThe ID of the SQL saved record.
version_idstringRequiredThe version ID of the SQL save record with status `draft`.
sql_contentstringThe SQL content to be saved.

Successful response

data is empty on success. You can then View the saved SQL version content to confirm the saved SQL content.

JSON
{
  "code": 200,
  "data": null
}

The response fields are as follows.

Field

Type

Description

data

null

Fixed to null when the update is successful.

Error response

JSON
{
  "code": 404,
  "message": "SQL 工作簿或版本不存在"
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.

Follow-up operations

Use the same resource identifier View saved SQL version content to confirm the update result.

Last updated on